Live Transcoding Profiles/FiltersGet DVR Recording Report

Get DVR Recording Report

curl -X POST "https://api.5centscdn.com/v2/streams/reports/dvr" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "r": "2026-05-28 00:00:00 - 2026-06-04 23:59:59"
}'
{
  "result": "success",
  "streams": [],
  "logs": [],
  "logsinfo": {
    "mins": {
      "sum": "0 mins",
      "ndvr": "0 mins",
      "dvr": "0 mins"
    },
    "disk": {
      "max": "0 MB",
      "ndvr": "0 MB",
      "dvr": "0 MB"
    },
    "count": 0
  }
}
POST
/streams/reports/dvr
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
rstring

Date range string in UTC format: "YYYY-MM-DD HH:mm:ss - YYYY-MM-DD HH:mm:ss"

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
rstring

Date range string in UTC format: "YYYY-MM-DD HH:mm:ss - YYYY-MM-DD HH:mm:ss"

Example:
2026-05-28 00:00:00 - 2026-06-04 23:59:59

Responses

resultstring
streamsstring[]
logsstring[]
logsinfoobject